Bug 483505 - (perl-PerlIO-gzip) Review Request: perl-PerlIO-gzip - Perl extension to provide a PerlIO layer to gzip/gunzip
Review Request: perl-PerlIO-gzip - Perl extension to provide a PerlIO layer t...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/PerlIO-gzip/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 17:49 EST by Chris Weyl
Modified: 2015-04-17 02:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 01:28:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-02-01 17:49:12 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-PerlIO-gzip.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-PerlIO-gzip-0.18-1.fc10.src.rpm

Description:
PerlIO::gzip provides a PerlIO layer that manipulates files in the format
used by the gzip program. Compression and decompression are implemented.

This is akin to Compress::Zlib, except that it operates at the lower PerlIO
layer.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1097838
Comment 1 Parag AN(पराग) 2009-02-01 21:18:50 EST
Review:
+ package builds in mock (rawhide i386).
koji build=>http://koji.fedoraproject.org/koji/taskinfo?taskID=1097838
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
933fdf283a0d2739f7630420569e3b24  PerlIO-gzip-0.18.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=2, Tests=561,  0 wallclock secs ( 0.07 usr  0.00 sys +  0.70 cusr  0.07 csys =  0.84 CPU)
+ Package  perl-PerlIO-gzip-0.18-1.fc11 ->
Provides: gzip.so perl(PerlIO::gzip) = 0.18
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4) libz.so.1 perl >= 0:5.008 perl(XSLoader) perl(strict) perl(warnings) rtld(GNU_HASH)


APPROVED.
Comment 2 manuel wolfshant 2009-02-01 23:46:59 EST
I'd say "gzip.so()" is a bit too generic as provides and leads to a potential clash in the future.
Comment 3 Chris Weyl 2009-02-02 04:09:28 EST
New Package CVS Request
=======================
Package Name: perl-PerlIO-gzip
Short Description: Perl extension to provide a PerlIO layer to gzip/gunzip
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-02-02 23:31:11 EST
cvs done.
Comment 5 Chris Weyl 2009-02-03 01:28:37 EST
Thanks for the review! :-)
Comment 6 Iain Arnell 2010-03-08 23:07:37 EST
as per #569299,

Package Change Request
======================
Package Name: perl-PerlIO-gzip
New Branches: EL-4 EL-5
Owners: iarnell
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2010-03-09 01:03:15 EST
cvs done.
Comment 8 Petr Šabata 2015-04-16 10:04:43 EDT
Package Change Request
======================
Package Name: perl-PerlIO-gzip
New Branches: epel7
Owners: psabata
InitialCC: perl-sig
Comment 9 Gwyn Ciesla 2015-04-16 11:25:29 EDT
Git done (by process-git-requests).
Comment 10 Petr Šabata 2015-04-17 02:38:03 EDT
Thank you.

Note You need to log in before you can comment on or make changes to this bug.